CMSIS-DSP: svm_functions_f16.h File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Macros | Functions
svm_functions_f16.h File Reference

## Data Structures

struct | arm_svm_linear_instance_f16
| Instance structure for linear SVM prediction function. More...
struct | arm_svm_polynomial_instance_f16
| Instance structure for polynomial SVM prediction function. More...
struct | arm_svm_rbf_instance_f16
| Instance structure for rbf SVM prediction function. More...
struct | arm_svm_sigmoid_instance_f16
| Instance structure for sigmoid SVM prediction function. More...

## Macros

#define | STEP(x)

## Functions

void | arm_svm_linear_init_f16 (arm_svm_linear_instance_f16 *S, uint32_t nbOfSupportVectors, uint32_t vectorDimension, float16_t intercept, const float16_t *dualCoefficients, const float16_t *supportVectors, const int32_t *classes)
| SVM linear instance init function. More...
void | arm_svm_linear_predict_f16 (const arm_svm_linear_instance_f16 *S, const float16_t *in, int32_t *pResult)
| SVM linear prediction. More...
void | arm_svm_polynomial_init_f16 (arm_svm_polynomial_instance_f16 *S, uint32_t nbOfSupportVectors, uint32_t vectorDimension, float16_t intercept, const float16_t *dualCoefficients, const float16_t *supportVectors, const int32_t *classes, int32_t degree, float16_t coef0, float16_t gamma)
| SVM polynomial instance init function. More...
void | arm_svm_polynomial_predict_f16 (const arm_svm_polynomial_instance_f16 *S, const float16_t *in, int32_t *pResult)
| SVM polynomial prediction. More...
void | arm_svm_rbf_init_f16 (arm_svm_rbf_instance_f16 *S, uint32_t nbOfSupportVectors, uint32_t vectorDimension, float16_t intercept, const float16_t *dualCoefficients, const float16_t *supportVectors, const int32_t *classes, float16_t gamma)
| SVM radial basis function instance init function. More...
void | arm_svm_rbf_predict_f16 (const arm_svm_rbf_instance_f16 *S, const float16_t *in, int32_t *pResult)
| SVM rbf prediction. More...
void | arm_svm_sigmoid_init_f16 (arm_svm_sigmoid_instance_f16 *S, uint32_t nbOfSupportVectors, uint32_t vectorDimension, float16_t intercept, const float16_t *dualCoefficients, const float16_t *supportVectors, const int32_t *classes, float16_t coef0, float16_t gamma)
| SVM sigmoid instance init function. More...
void | arm_svm_sigmoid_predict_f16 (const arm_svm_sigmoid_instance_f16 *S, const float16_t *in, int32_t *pResult)
| SVM sigmoid prediction. More...

## Macro Definition Documentation

#define STEP | ( |  | x | ) |